Subject: bug#35622: Ran into a bug in the new graphical installer on WiFi setup

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 May 2019 00:32:43 +0200

Ludovic Courtès <[email-masked]> skribis:

> I’ve tried “connmanctl services xyz” on the bare metal with an actual
> WiFi device.  For me there’s always a “Name = something” property, and
> the “something” appears to be the SSID of the access point.
>
> Could it be that the access point does not advertise an SSID, and thus
> its “Name” property is the empty string or is missing altogether?

I tried to reproduce that in a VM by running hostapd and using the neat
‘mac80211_hwsim’ kernel module.

However, hostapd’s config file doesn’t allow empty SSIDs.  So I set the
SSID to “ ” (a single space), but that’s correctly handled by the
installer.

Ludo’.